# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

fax_menu_item = items.MenuItem(
    # GENERAL
    _('Fax'),
    reverse('admin:app_list', kwargs={'app_label': 'fax'}),
    #    '/admin/fax/',
    children=[
        items.MenuItem(_('Fax'), '',
                       children=[
            items.MenuItem(_('Send Fax'), reverse('admin:fax_fax_add',)),
            items.MenuItem(_('Fax List'), reverse('admin:fax_fax_changelist',)),
            items.MenuItem(
                _('Received Fax'), reverse('admin:fax_fax_changelist',) + '?status=2'),
            items.MenuItem(_('Sent Fax'), reverse('admin:fax_fax_changelist',) + '?status=4'),
        ]
        ),
    ]
)


register_menu(fax_menu_item, 'jmb.fax')
