# coding: utf-8

RET_CODES = {
    'OK': 'Trasmissione completata con successo',
    'ABS': 'Nessun segnale audio (nessuna risposta o segnale di ring)',
    'AWC': 'Errore generico',
    'BAD': 'Il timeout assegnato al fax è scaduto.',
    'NA': 'Tono di ricezione fax assente (Nessuna risposta, o risposta voce, o risposta di data modem)',
    'DLD': "La spedizione è stata temporaneamente sospesa in quanto all'interno di una fascia oraria protetta",
    'DER': "Training fallito (durante l'inizio della trasmissione, le condizioni audio della linea o la configurazione delle macchine non hanno consentito l'inizio della trasmissione)",
    'NC': "Macchina remota non compatibile (la macchina remota non è in grado di ricevere il fax, a causa dell'immagine da trasmettere o a causa delle caratteristiche tecniche della macchina stessa)",
    'PROCESSED AWC': 'Messaggio in attesa di conferma',
    'OCC': 'Numero occupato',
    'CANCELLED ABS': 'Nessun segnale audio (nessuna risposta o segnale di ring)',
    'CANCELLED AWC': 'Errore generico',
    'CANCELLED BAD': 'Il timeout assegnato al fax è scaduto.',
    'CANCELLED BLA': "Numero presente all'interno della blacklist generale",
    'CANCELLED DER': "Training fallito (durante l'inizio della trasmissione, le condizioni audio della linea o la configurazione delle macchine non hanno consentito l'inizio della trasmissione)",
    'CANCELLED INV': 'Errore in fase di conversione del documento',
    'CANCELLED MMBADFIELDS': 'Il documento contiene dei campi unione non presenti nella sorgente dati',
    'CANCELLED MMNODOC': 'Il documento non è un documento di stampa unione',
    'CANCELLED MMNOFAXNUM': 'La sorgente dati non contiene il campo faxnum',
    'CANCELLED MMNOFIEDLS': 'Il documento non contiene campi di stampa unione',
    'CANCELLED MMUNEXPECTED': 'Errore non riconosciuto',
    'CANCELLED NA': 'Tono di ricezione fax assente (Nessuna risposta, o risposta voce, o risposta di data modem)',
    'CANCELLED NC': "Macchina remota non compatibile (la macchina remota non è in grado di ricevere il fax, a causa dell'immagine da trasmettere o a causa delle caratteristiche tecniche della macchina stessa)",
    'CANCELLED OCC': 'Numero occupato',
    'CANCELLED ROU': 'Non esiste il routing per la destinazione',
}
