# coding: utf-8
"""
.. _retrieve-kpn-fax:

Bla Bla bla
=============================

Command per 
utilizzo::

  dj sample

:-d: variabile Booleana per cancellare il messaggi una volta recuperati
:-l: variabile Numero per limitare il numero di messaggi recuperare
:-b, --backup: backup messages in 
"""


from __future__ import unicode_literals

import re
import os
import sys
import email
import tempfile
import datetime

from django.core.mail.message import EmailMessage
from django.core.management.base import BaseCommand
from django.conf import settings
from django.core import mail

from optparse import make_option
from jmb.fax.kpn import KpnManager
from jmb.fax.models import Device

class Command(BaseCommand):

    """Get all messages from configured Host
    """
    help = "Wao!"

    option_list = BaseCommand.option_list + (
        make_option('-d', '--device', default=False,
                    dest='device', help='Device name to test'),
    )

    output_transaction = True

    def handle(self, *args, **options):
        device = options.get('device')
        if device:
            devices = Device.objects.filter(type='kpn', name=device)
        else:
            devices = Device.objects.filter(type='kpn')
        for device in devices:
            k = KpnManager(device=device)
            print("URL:", device.kpn_url)
            print(device, k.auth)
